#!/bin/sh
if [ ! -d ~/Bklt_Backup ]; then
    echo "Backing up original backlight control files..."
    mkdir ~/Bklt_Backup
    cp -R /System/Library/PrivateFrameworks/DisplayServices.framework ~/Bklt_Backup
    cp -R /System/Library/Extensions/AppleBacklight.kext ~/Bklt_Backup
    cp -R /System/Library/Extensions/AppleBacklightExpert.kext ~/Bklt_Backup
fi
#echo "Downloading patch..."
#curl -o ~/BacklightPatch.zip https://youre network share):5001/sharing/gfW7qXP01 --insecure ## Or comment and place files from my archive 
unzip -o ~/BacklightPatch.zip -d ~/ -x "__MACOSX/*"
echo "Copying \"DisplayServices.framework\"..."
sudo cp -R ~/BacklightPatch/DisplayServices.framework /System/Library/PrivateFrameworks
echo "Copying \"AppleBacklight.kext\"..."
sudo cp -R ~/BacklightPatch/AppleBacklight.kext /System/Library/Extensions
echo "Copying \"AppleBacklightExpert.kext\"..."
sudo cp -R ~/BacklightPatch/AppleBacklightExpert.kext /System/Library/Extensions
echo "Setting permissions..."
sudo chmod -R 755 /System/Library/PrivateFrameworks/DisplayServices.framework
sudo chown -R 0:0 /System/Library/PrivateFrameworks/DisplayServices.framework
sudo chmod -R 755 /System/Library/Extensions/AppleBacklight.kext
sudo chown -R 0:0 /System/Library/Extensions/AppleBacklight.kext
sudo chmod -R 755 /System/Library/Extensions/AppleBacklightExpert.kext
sudo chown -R 0:0 /System/Library/Extensions/AppleBacklightExpert.kext
rm -R ~/BacklightPatch
rm ~/BacklightPatch.zip
echo "Rebuilding kextcache..."
sudo kextcache -system-caches
sudo kextcache -system-prelinked-kernel
echo "\n\nOperation complete! Please restart your machine for changes to take effect.\n\n"
